ZMQSocket::getEndpoints
ZMQSocket::getSocketType
ZMQSocket
PHP Manual

# ZMQSocket::getPersistentId

(PECL zmq >= 0.5.0)

ZMQSocket::getPersistentId — Get the persistent id

### Description

public string ZMQSocket::getPersistentId ( void )

Returns the persistent id of the socket.

### Parameters

This function has no parameters.

### Return Values

Returns the persistent id string assigned of the object and `NULL` if socket is not persistent.

ZMQSocket::getEndpoints
ZMQSocket::getSocketType
ZMQSocket
PHP Manual